# EncryptionOptions | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- EncryptionOptions
  - EncryptContentOptions

## Index

### Properties

- cipherTextEncoding
- sign
- wasString

## Properties

### Optional cipherTextEncoding

cipherTextEncoding: CipherTextEncoding

- Defined in packages/encryption/src/encryption.ts:26

String encoding format for the cipherText buffer. Currently defaults to 'hex' for legacy backwards-compatibility. Only used if the `encrypt` option is also used. Note: in the future this should default to 'base64' for the significant file size reduction.

### Optional sign

sign: boolean | string

- Defined in packages/encryption/src/encryption.ts:18

If set to `true` the data is signed using ECDSA on SHA256 hashes with the user's app private key. If a string is specified, it is used as the private key instead of the user's app private key.

default

  false

### Optional wasString

wasString: undefined | false | true

- Defined in packages/encryption/src/encryption.ts:33

Specifies if the original unencrypted content is a ASCII or UTF-8 string. For example stringified JSON. If true, then when the ciphertext is decrypted, it will be returned as a `string` type variable, otherwise will be returned as a Buffer.

Generated using TypeDoc